#!/bin/bash

echo ""
echo "Building with Intel MPI with Intel Compilers"
echo "============================================"
which mpiifort
if [ $? == 1 ]; then
  echo "ERROR: MPI is not in your path."
  echo "Please load the mpi module and retry."
  exit 1;
fi

which ifort
if [ $? == 1 ]; then
  echo "ERROR: Intel compilers are not in your path."
  echo "Please load the intel module and retry."
  exit 1;
fi

LIBDIR=`which ifort | sed -e 's@bin/intel64/ifort@compiler/lib/intel64@g' `
echo "LIBDIR=$LIBDIR"
make clean
rm -f Makefile

cat Makefile.in | sed -e 's@mpif90@mpiifort@g' -e 's#^OPENMP_FLAG=-fopenmp#OPENMP_FLAG=-qopenmp -liomp5#g' -e "s@LIBFLAGS=@LIBFLAGS=-L$LIBDIR@g"  > Makefile
make 
./run.impi.sh 
