#!/bin/sh

module load mpi/intel-5.1
module load intel
module load intel

echo "================================="
echo "Running in process mode MPI Intel"
echo "================================="
echo "MPI Intel" >> ./tsmall.log
m/usr/bin/time -a -f "%e" -o ./tsmall.log pirun -np 4 ./snap ./1nodeRun.in ./intel_intel.log
cat ./intel_intel.log | grep "Grind Time (nanoseconds)" >> ./tsmall.log

echo "========================================"
echo "Running LARGE in MPI Intel ... "
echo "======================================="
echo "MPI Intel" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpirun -np 4  ./snap ./1nodeRun-larger.in ./intel_intelL.log
cat ./intel_intelL.log | grep "Grind Time (nanoseconds)" >> ./tlarge.log

echo "================================="
echo "Here is the DIFF (intel_intel.log VS mpc_thread.log > intel_diff_small.log)"
echo "================================="
diff ./intel_intel.log ./mpc_thread.log | tee intel_diff_small.logi

echo "================================="
echo "Here is the LARGE DIFF (intel_intelL.log VS mpc_threadL.log > intel_diff_large.log)"
echo "================================="
diff ./intel_intelL.log ./mpc_threadL.log | tee intel_diff_large.log

