#!/bin/bash
 . /usr/local/packages/MPC_CEA/mpc-3.1.0/mpcvars.sh

echo "================================="
echo "Running in thread-based mode ... "
echo "================================="
echo "MPC THREAD" >> ./tsmall.log
/usr/bin/time -a -f "%e" -o ./tsmall.log mpcrun -n=4  ./snap ./1nodeRun.in ./mpc_thread.log
echo "================================="
echo "Running in process mode"
echo "================================="

echo "MPC PROCESS" >> ./tsmall.log
/usr/bin/time -a -f "%e" -o ./tsmall.log mpcrun -p=4 -net=tcp -n=4 ./snap ./1nodeRun.in ./mpc_process.log

echo "========================================"
echo "Running LARGE in thread-based mode ... "
echo "======================================="
echo "MPC THREAD" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpcrun -n=4 ./snap ./1nodeRun-larger.in ./mpc_threadL.log
echo "=============================="
echo "Running LARGE in process mode"
echo "============================="
echo "MPC PROCESS" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpcrun -p=4 -net=tcp -n=4 -c=1 ./snap ./1nodeRun-larger.in ./mpc_processL.log


echo "================================="
echo "Here is the DIFF (mpc_process.log VS mpc_thread.log > mpc_diff_small.log)"
echo "================================="
diff ./mpc_thread.log ./mpc_process.log | tee mpc_diff_small.log


echo "================================="
echo "Here is the LARGE DIFF (mpc_processL.log VS mpc_threadL.log > mpc_diff_large.log)"
echo "================================="
diff ./mpc_threadL.log ./mpc_processL.log | tee mpc_diff_large.log
