module load intel 
. /usr/local/packages/MPC_CEA/mpc_current_intel/mpcvars.sh
module load intel

echo "================================="
echo "Running in thread-based mode ... "
echo "================================="
echo "MPC ICC THREAD" >> ./tsmall.log
/usr/bin/time -a -f "%e" -o ./tsmall.log mpcrun -n=4 -c=12 -m=pthread ./snap ./1nodeRun.in ./mpc_icc_thread.log
cat ./mpc_icc_thread.log | grep "Grind Time (nanoseconds)" >> ./tsmall.log
echo "================================="
echo "Running in process mode"
echo "================================="
echo "MPC ICC PROCESS" >> ./tsmall.log
/usr/bin/time -a -f "%e" -o ./tsmall.log mpcrun -p=4 -net=tcp -n=4 -c=3 -m=pthread ./snap ./1nodeRun.in ./mpc_icc_process.log
cat ./mpc_icc_process.log | grep "Grind Time (nanoseconds)" >> ./tsmall.log

echo "========================================"
echo "Running LARGE in thread-based mode ... "
echo "======================================="
echo "MPC ICC THREAD" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpcrun -n=4 -c=12 -m=pthread ./snap ./1nodeRun-larger.in ./mpc_icc_threadL.log
cat ./mpc_icc_threadL.log | grep "Grind Time (nanoseconds)" >> ./tlarge.log
echo "=============================="
echo "Running LARGE in process mode"
echo "============================="
echo "MPC ICC PROCESS" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpcrun -p=4 -net=tcp -n=4 -c=3 -m=pthread ./snap ./1nodeRun-larger.in ./mpc_icc_processL.log
cat ./mpc_icc_process.log | grep "Grind Time (nanoseconds)" >> ./tlarge.log


echo "================================="
echo "Here is the DIFF (mpc_icc_process.log VS mpc_icc_thread.log > mpc_icc_diff_small.log)"
echo "================================="
diff ./mpc_icc_thread.log ./mpc_icc_process.log | tee mpc_icc_diff_small.log


echo "================================="
echo "Here is the LARGE DIFF (mpc_icc_processL.log VS mpc_icc_threadL.log > mpc_icc_diff_large.log)"
echo "================================="
diff ./mpc_icc_threadL.log ./mpc_icc_processL.log | tee mpc_icc_diff_large.log
