 . /usr/local/packages/MPC_CEA/mpc_current/mpcvars.sh

echo "================================="
echo "Running in thread-based mode ... "
echo "================================="
echo "MPC THREAD (NO OMP)" >> ./tsmall.log
/usr/bin/time -a -f "%e" -o ./tsmall.log mpcrun -n=4 -c=12 -m=pthread ./snap ./1nodeRun.in ./mpc_noomp_thread.log
cat ./mpc_noomp_thread.log | grep "Grind Time (nanoseconds)" >> ./tsmall.log
echo "================================="
echo "Running in process mode"
echo "================================="

echo "MPC PROCESS (NO OMP)" >> ./tsmall.log
/usr/bin/time -a -f "%e" -o ./tsmall.log mpcrun -p=4 -net=tcp -n=4 -c=3 -m=pthread ./snap ./1nodeRun.in ./mpc_noomp_process.log
cat ./mpc_noomp_process.log | grep "Grind Time (nanoseconds)" >> ./tsmall.log

echo "========================================"
echo "Running LARGE in thread-based mode ... "
echo "======================================="
echo "MPC THREAD (NO OMP)" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpcrun -n=4 -c=12 -m=pthread ./snap ./1nodeRun-larger.in ./mpc_noomp_noomp_threadL.log
cat ./mpc_noomp_noomp_threadL.log | grep "Grind Time (nanoseconds)" >> ./tlarge.log
echo "=============================="
echo "Running LARGE in process mode"
echo "============================="
echo "MPC PROCESS (NO OMP)" >> ./tlarge.log
/usr/bin/time -a -f "%e" -o ./tlarge.log mpcrun -p=4 -net=tcp -n=4 -c=3 -m=pthread ./snap ./1nodeRun-larger.in ./mpc_processL.log
cat ./mpc_processL.log | grep "Grind Time (nanoseconds)" >> ./tlarge.log


echo "================================="
echo "Here is the DIFF (mpc_noomp_process.log VS mpc_noomp_thread.log > mpc_diff_small.log)"
echo "================================="
diff ./mpc_noomp_thread.log ./mpc_noomp_process.log | tee mpc_diff_small.log


echo "================================="
echo "Here is the LARGE DIFF (mpc_processL.log VS mpc_noomp_noomp_threadL.log > mpc_diff_large.log)"
echo "================================="
diff ./mpc_noomp_noomp_threadL.log ./mpc_processL.log | tee mpc_diff_large.log
